<?php
include 'topo.php';

$msg = "";
$msgClass = "msgErro";
$titulo = "Catálogo > Produtos";
$pg_cadastrar = "produto-cadastrar.php";
$pg_alterar = "produto-alterar.php";
$msg_ok = "Excluído com sucesso";
$msg_erro = "Erro ao excluir";
$nomeClasse = "produto";

##########################
# excluir
##########################
if(isPost($_POST['idexcluir'])){
	$obj = new Produto();
	$obj->id = $_POST['idexcluir'];
	if($obj->excluir()){
		$msg = $msg_ok;
		$msgClass = "msgSucesso";
	}
	else{
		$msg = $msg_erro;
	}
}
?>

<h1><?=$titulo?></h1>

<div class="boxAcao">
	<ul>
		<li class="border-none"><a href="<?=URLADMIN.$pg_cadastrar?>" title="Cadastrar">> Cadastrar</a></li>
	</ul>
</div>

<div class="boxForm">
	<div class="boxTitulo">Filtrar</div>
	<form name="form1" id="form1" action="" method="post">
		<div class="campo1">
			<label for="nome">Nome:</label>
			<input type="text" id="nome" name="nome" value="<?=$_POST['nome']?>" />
		</div>
		<div class="campo2">
			<label for="codigo">Código:</label>
			<input type="text" id="codigo" name="codigo" value="<?=$_POST['codigo']?>" />
		</div>
		<div class="campo3">
			<label for="categoria">Categoria:</label>
			<select id="categoria" name="categoria" />
				<option value=""></option>
				<?php
				$listaCat = Categoria::listar("WHERE c.excluir = 's'");
				if(is_array($listaCat)){
					foreach($listaCat as $idCat => $dadosCat){
						$selCat = ($_POST['categoria'] == $idCat) ? 'selected' : '';
						?>
						<option value="<?=$idCat?>" <?=$selCat?>><?=$dadosCat['nomeCompleto']?></option>
						<?php
					}
				}
				?>
			</select>
		</div>
		<div class="campo3 align-right">
			<input type="submit" class="botao" name="ok" value="Filtrar" title="Filtrar" />
		</div>
	</form>
</div>

<?php include PATHADMIN.'msg.php'; ?>

<?php
$filtro = "";
if(isPost($_POST['ok'])){
	// monta filtro
	if(isPost($_POST['nome'])){
		$nomePost = str_replace(" ","%",$_POST['nome']);
		$filtro .= "AND p.nome LIKE '%".$nomePost."%' ";
	}
	if(isPost($_POST['codigo'])){
		$codigoPost = str_replace(" ","%",$_POST['codigo']);
		$filtro .= "AND p.codigo LIKE '%".$codigoPost."%' ";
	}
	if(isPost($_POST['categoria'])){
		$filtro .= " AND pc.id_categoria = ".$_POST['categoria'];
	}
	
	$lista = Produto::listar("WHERE 1=1 ".$filtro." ORDER BY nome");
	if(is_array($lista)){
		?>
		<div class="boxLista">
			<div class="boxTitulo">Produtos <span>(Total: <?=count($lista)?>)</span></div>
			<table cellspacing="0" cellpadding="6" border="0">
				<tr>
					<th>Nome</th>
					<th>Código</th>
					<th>Quantidade</th>
					<th>Ativo</th>
					<th width="100" class="center">Ações</th>
				</tr>
				<?php foreach($lista as $id => $dados) { ?>
				<tr>
					<td><?=$dados['nome']?></td>
					<td><?=$dados['codigo']?></td>
					<td><?=$dados['qtde']?></td>
					<td>
						<?php
						switch($dados['ativo']){
							case 's': echo "Sim"; break;
							case 'n': echo "Não"; break;
							default: echo "--";
						}
						?>
					</td>
					<td align="center">
						<a href="<?=URLADMIN.$pg_alterar?>?id=<?=$id?>" title="Alterar"><img src="<?=URLIMG?>admin/editar.png" /></a>
						&nbsp;
						<a href="javascript:void()" title="Excluir" excluir="1" pk="<?=$id?>"><img src="<?=URLIMG?>admin/excluir.gif" /></a>
					</td>
				</tr>
				<?php } ?>
			</table>
		</div>
		<?php
	}
}
?>

<p>&nbsp;</p>

<?php
include PATHPUBLIC.'form_excluir.php';
include 'rodape.php';
?>